Get observe table export download link
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/tableExports/{filename}/downloadLink \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/tableExports/{filename}/downloadLink"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/tableExports/{filename}/downloadLink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": "<string>"
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Data exports
Get observe table export download link
Returns a short-lived download URL for an Observe table export file. Slashes in the filename path parameter must be URL-encoded.
Required API key permission: observe:tableExports:read.
GET
/
observe
/
tableExports
/
{filename}
/
downloadLink
Get observe table export download link
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Path Parameters
Table export filename as returned by /observe/tableExports, with slashes URL-encoded.
Response
Observe table export download link.
Was this page helpful?